aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-25 08:39:24 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-25 08:39:24 +1200
commitaf1cc7cbaac0caf77df8ef056c2e0ec09bfc3b3c (patch)
treef3df66aec5feedb8c62928a24497d49a19d32630 /bin
parentUpdate submodules (diff)
downloaddotfiles-af1cc7cbaac0caf77df8ef056c2e0ec09bfc3b3c.tar.gz
dotfiles-af1cc7cbaac0caf77df8ef056c2e0ec09bfc3b3c.zip
Open PDFs with xpdf(1)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/xgo7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/xgo b/bin/xgo
index 8329c511..828eba5a 100755
--- a/bin/xgo
+++ b/bin/xgo
@@ -28,6 +28,13 @@ for url ; do (
# If the MIME type is an image, load it in feh(1)
case $mt in
+ application/pdf)
+ (
+ cd -- "$HOME"/Downloads || exit
+ curl -O -- "$url" || exit
+ xpdf -- "${url##*/}" || exit
+ ) && exit
+ ;;
audio/*|video/*)
mpv --force-window -- "$url" && exit
;;